-- main.applescript
-- LaunchViaPooch

--  Created by Dean Dauger on 5/5/05.
--  Copyright 2005 Dauger Research, Inc.. All rights reserved.

on run {input, parameters}
	
	set clusterSize to 4 -- change this number to whatever you want
	
	--	set clusterSize to |nodeCount| of parameters
	
	tell application "Pooch App"
		activate
		
		set j to make new job -- remember, the default job includes the node the script is running on
		
		open input
		
		make new node at j with properties network scan for best clusterSize
		
		delete node (clusterSize + 1) of j -- remove excess node, just in case
		
		set actualNodeListSize to count the node list of j
		
		if (actualNodeListSize < clusterSize) then
			-- this assumes a user is present to answer the question
			-- you may wish to automate what to do next
			if (the button returned of (display dialog "Only enough nodes for a " & actualNodeListSize & "-node job were found.  Shall I proceed with launch?" buttons {"Cancel Job", "Launch Anyway"} default button "Cancel Job") is "Cancel Job") then
				close every window
			else
				launch j
			end if
		else
			launch j
		end if
		
	end tell
	
	return input
end run
